package org.ow2.bonita.env;

import junit.framework.TestCase;

public class XpdlEnvironmentParserTest extends TestCase {

  public void testParseEnvironmentFactoryFromXmlStringBadEnvironment() {
    EnvGenerator envGenerator = new EnvGenerator();
    envGenerator.setBlockEntry("session", "<hibernate-session-test name='default-session' />"
        + "<hibernate-session name='test-session' />");
    try {
      XpdlEnvironmentParser.parseEnvironmentFactoryFromXmlString(envGenerator.createEnvironmentXml());
      fail("Invalid environment");
    } catch (InvalidEnvironmentException e) {
      //ok
    }
  }

  public void testParseEnvironmentFactoryFromXmlStringGoodEnvironment() {
    EnvGenerator envGenerator = new EnvGenerator();
    envGenerator.setBlockEntry("session", "<hibernate-session name='default-session' />"
        + "<hibernate-session name='test-session' />");
    XpdlEnvironmentParser.parseEnvironmentFactoryFromXmlString(envGenerator.createEnvironmentXml());
  }
}
